/* Fonts */

/* Strenuous Light Italics */
@font-face {font-family: "StrenuousW05-LightItalic"; src: url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.eot"); src: url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.woff") format("woff"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.svg#StrenuousW05-LightItalic") format("svg"); }
/* Silicone Light Italics */
@font-face {font-family: "SiliconeW00-LightItalic"; src: url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.eot"); src: url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.woff") format("woff"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.svg#SiliconeW00-LightItalic") format("svg"); }
/* LogoSans Regular */
@font-face {font-family: "LogoSans 8"; src: url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.eot"); src: url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.woff") format("woff"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.svg#LogoSans 8") format("svg"); }

/* body/etc */

.text-box {
    /* border-radius: 25px;
    background-color: #fd502150;
    border: solid 30px #fd5021; */
    border-radius: 45px;
    background: rgb(252, 165, 58, 35%);
    width: 40%;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    padding: 5%;
    
    display: grid;
    align-items: center;
    justify-content: center;
    text-align: center;
    
    
    animation: bounce 15s ease
}   

.main-text {
    color: #fca53a;
    text-align: center;
    font-family: "StrenuousW05-LightItalic"
}

.button {
    width:25vw;
    height: 100px;
    margin: auto;
    
    border-style: hidden;
    border-radius: 15px;
    background: rgb(252, 165, 58, 35%);
    color: #fdc075;
    text-align: center;
    font-family: "LogoSans 8";
    font-weight: bolder
}

.button:hover {
    background: rgb(252, 165, 58, 75%);
}

.button:active {
    border-style: solid;
    border-color: #fd502170;
    border-width: 10px
}

@media screen and (max-width: 920px) {
    .text-box {
        border-radius: 7vw;
        width: 60vw
    }
    .main-text {
        font-size: 8vw
    }
    .button {
        width: 45vw;
        font-size: 5vw;
        height: 20vw;
        border-radius: 3vw
    }
}

body {
    font-size: 1.8rem;
    min-height: 100vh;
    background-color: green;
   /* margin: 500px;
    border-radius: 500px; */
    /* grid and gradient */
    
    background-size: 
        100px 100px,
        100px 100px,
        400% 400%;
    background-image:
    linear-gradient(to right, #fca53a70 3px, transparent 1px),
    linear-gradient(to bottom, #fca53a70 3px, transparent 1px),
    linear-gradient(-45deg, #d92a1a90, #fc683290, #fca53a90);
   
    
    animation: gradient 7s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0 0, 0 0, 0% 50%;
    }
    50% {
        background-position: 0 0, 0 0, 100% 50%;
    }
    100% {
        background-position: 0 0, 0 0, 0% 50%;
    }
}

h1 {
    
    font-family: "StrenuousW05-LightItalic";
    text-align: center;
    color: #fca53a
}

button {
    font-size: 1.8rem
}